org.apache.solr.client.solrj.request.schema

## Class SchemaRequest.ReplaceDynamicField

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<SchemaResponse.UpdateResponse>
    - - org.apache.solr.client.solrj.request.schema.SchemaRequest.Update
      - - org.apache.solr.client.solrj.request.schema.SchemaRequest.ReplaceDynamicField

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    SchemaRequest

      public static class SchemaRequest.ReplaceDynamicField
      extends SchemaRequest.Update

  Replaces a dynamic field rule in the schema of the specified collection. Note that the full definition for a dynamic field rule must be supplied - this command will not partially modify a dynamic field rule's definition. If the dynamic field rule does not exist in the schema the method call `SolrRequest.process(SolrClient, String)` will fail.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplaceDynamicField(Map<String,Object> dynamicFieldAttributes)` Creates a new instance of the request.
    `ReplaceDynamicField(Map<String,Object> dynamicFieldAttributes, SolrParams q)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.solr.client.solrj.request.schema.SchemaRequest.Update

      `createResponse, getContentStreams`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest

      `getParams`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplaceDynamicField

          public ReplaceDynamicField(Map<String,Object> dynamicFieldAttributes)

      Creates a new instance of the request.
      Parameters:
        `dynamicFieldAttributes` - field type attributes that can be used to enrich the field definition.
      See Also:
        Defining Solr fields, Solr dynamic fields

    - #### ReplaceDynamicField

          public ReplaceDynamicField(Map<String,Object> dynamicFieldAttributes,
                                     SolrParams q)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.